#include <SPI.h>
#include <WiFi101.h>
#include "arduino_secrets.h" 
char ssid[] = SECRET_SSID;
char pass[] = SECRET_PASS;
int keyIndex = 0;
int led =  LED_BUILTIN;
int led1 = 10, led2 = 11, led3 = 12;
int status = WL_IDLE_STATUS;
WiFiServer server(80);

void setup() {
  WiFi.setPins(8,7,4,2);
  pinMode(led, OUTPUT);
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  pinMode(led3, OUTPUT);
  if (WiFi.status() == WL_NO_SHIELD) {  // check the shield:
    while (true);  // don't continue
  }
  WiFi.config(IPAddress(10, 0, 0, 1));  // default IP : 192.168.1.1
  status = WiFi.beginAP(ssid);
  if (status != WL_AP_LISTENING) {
    while (true);  // don't continue
  }
  delay(10000);
  server.begin();
}

void loop() {
  if (status != WiFi.status()) {  // status : previous != current
    status = WiFi.status();
    if (status == WL_AP_CONNECTED) {
      byte remoteMac[6];
      WiFi.APClientMacAddress(remoteMac);
    } else {
    }
  }
  WiFiClient client = server.available();   // listen for incoming clients
  if (client) {   // if you get a client,
    String currentLine = "";
    while (client.connected()) {
      if (client.available()) {
        char c = client.read();
        if (c == '\n') {
          if (currentLine.length() == 0) {           
            client.println("HTTP/1.1 200 OK");
            client.println("Content-type:text/html");
            client.println();
            client.print("Click <a href=\"/A\">here</a> turn the Red LED on<br>");
            client.print("Click <a href=\"/B\">here</a> turn the Red LED off<br>");
            client.print("Click <a href=\"/C\">here</a> turn the Blue LED on<br>");
            client.print("Click <a href=\"/D\">here</a> turn the Blue LED off<br>");
            client.print("Click <a href=\"/E\">here</a> turn the Yellow LED on<br>");
            client.print("Click <a href=\"/F\">here</a> turn the Yellow LED off<br>");
            client.print("Click <a href=\"/G\">here</a> turn the Green LED on<br>");
            client.print("Click <a href=\"/H\">here</a> turn the Green LED off<br>");
            client.println();
            break;
          }
          else {
            currentLine = "";
          }
        }
        else if (c != '\r') {
          currentLine += c;
        }
        if (currentLine.endsWith("GET /A")) digitalWrite(led, HIGH);
        if (currentLine.endsWith("GET /B")) digitalWrite(led, LOW);
        if (currentLine.endsWith("GET /C")) digitalWrite(led3, HIGH);
        if (currentLine.endsWith("GET /D")) digitalWrite(led3, LOW);
        if (currentLine.endsWith("GET /E")) digitalWrite(led2, HIGH);
        if (currentLine.endsWith("GET /F")) digitalWrite(led2, LOW);
        if (currentLine.endsWith("GET /G")) digitalWrite(led1, HIGH);
        if (currentLine.endsWith("GET /H")) digitalWrite(led1, LOW);
      }
    }
    client.stop();
  }
}
